Bug 184103 - hplip policy addition
hplip policy addition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Russell Coker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 05:26 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 07:42:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-03-06 05:26:49 EST
Description of problem:
We ought to add this for HPLIP, so that it can communicate more efficiently with
CUPS-1.2, and to avoid noise in audit.log:

allow hplip_t cupsd_t:unix_stream_socket connectto;
allow hplip_t cupsd_var_run_t:dir search;
allow hplip_t cupsd_var_run_t:sock_file write;

Version-Release number of selected component (if applicable):
2.2.23-3

How reproducible:
100%

Steps to Reproduce:
1. Install CUPS-1.2 (packages in dist-fc5-scratch)
2. Configure a printer driven by hplip
3. setenforce 0
4. Print to it
5. Examine audit.log

Additional info:
There aren't really any particularly bad symptoms of not adding this policy, but
we ought to do that sometime.
Comment 1 Daniel Walsh 2006-03-06 12:23:06 EST
Fixed in 2.2.23-4


Note You need to log in before you can comment on or make changes to this bug.